import { BlockMove } from "alg";
import { KPuzzleDefinition, Transformation } from "./spec";
export declare class MoveExpander {
    gripStash: {
        [key: string]: Transformation[];
    };
    moveStash: {
        [key: string]: Transformation;
    };
    facenames?: Array<string>;
    constructor();
    setFaceNames(fn: Array<string>): void;
    addGrip(grip1: string, grip2: string, nslices: number, def: KPuzzleDefinition): void;
    splitByFaceNames(s: string, facenames: Array<string>): string[] | undefined;
    expandSlices(rep: string, blockMove: BlockMove, def: KPuzzleDefinition): Transformation | undefined;
    expandSlicesByName(mv: string, def: KPuzzleDefinition): Transformation | undefined;
}
